Subject: Re: bug#6015: 23.1.96; Internal error in rng-validate-mode for very long attribute

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 18 Jul 2021 15:29:48 +0200

Jay Berkenbilt <[email-masked]> writes:

> Create a file called "a.xml" and place the buffer in fundamental mode by
> typing
>
> M-x fundamental-mode RET
>
> Create a simple XML file consisting of a single element with a single
> attribute whose value is 40,000 characters long:
>
> <x value="CTRL-U 40000 w"/> RET
>
> and save the file.  Reload the file so that emacs enters nxml mode upon
> initial load:
>
> C-x C-v RET
>
> Observe the following errors in *Messages*:
>
> File mode specification error: (error "Stack overflow in regexp matcher")

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm able to reproduce this problem in Emacs 28, too, but I have to up
the number of ws to 400000.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no